
application.secret="0j?Kyc>vR;iJrJ<hDQ4LZg[VHeLuJSs3f[moA<YO`^sg2w4k8vCdGCox/=6;D_@E"
application.langs="fr,en"
application.global=Global

logger.root=ERROR
logger.play=INFO
logger.application=INFO

ws.acceptAnyCertificate=true
xivohost="xivo"
xivohost=${?XIVO_HOST}
confdport="50051"
applicationName="xuc"

db.default.driver = org.postgresql.Driver
db.default.url = "jdbc:postgresql://"${xivohost}"/asterisk?loginTimeout=5&socketTimeout=5&ApplicationName=\"xuc\""
db.default.acquireRetryAttempts=200
db.default.acquireRetryDelay=10
db.default.user = asterisk
db.default.password = proformatique

metrics {
  name = "Stats"
  jvm = false             # [true/false] (default is true) controls reporting jvm metrics
  logback = false         # [true/false] (default is true) controls reporing logback metrics
  logReporter = true      # [true/false] (default is true) controls log reporter
  logReporterPeriod = 30   # (in minutes, default is 5) specify the period of metrics dump to the log file
}

techMetrics {
  name = "tech"
  jvm = true              # [true/false] (default is true) controls reporting jvm metrics
  logback = false         # [true/false] (default is true) controls reporing logback metrics
  logReporter = true     # [true/false] (default is true) controls log reporter
  logReporterPeriod = 5   # (in minutes, default is 5) specify the period of metrics dump to the log file
}

# XiVO CTI
# ~~~~~~~~
authentication {
  ldap {
    managerDN="uid=usermgr,ou=people,dc=entr,dc=com"     # user with read rights on the whole LDAP
    managerDN=${?LDAP_managerDN}
    managerPassword = "managerPwd"      # password for this user
    url = "ldap://ldap.entr.com:389"    # ldap URI
    searchBase = "ou=people,dc=entr,dc=com"    # ldap entry to use as search base
    userSearchFilter = "uid=%s"        # filter to use to search users by login, using a string pattern

  }
  xivo {
    restapi.users = "https://"${xivohost}":"${confdport}"/1.1/users"
  }
}


xivocti {
  # CTI server connection configuration
  host=${xivohost}
  port=5003

  # connection timeout in seconds
  timeout=1

  # identity suffix
  identitySuffix=${applicationName}
  eventUser="xuc"
  defaultPassword="0000"
}
XivoWs {
  wsUser="xivows"
  wsPwd="xivows"
  host=${xivohost}
  port=${confdport}
  #enabled=false deprecated not used any more, events are published at startup
}
Snom {
  user="guest"
  password="guest"
}

api {
  eventUrl = "http://127.0.0.1:8065/api/v1/users/avencall/update_phone_status"
  eventUrl=${?API_eventUrl}
}

xucstats {
  resetSchedule = "0 0 0 * * ?"
  initFromMidnight = false
  aggregationPeriod = 1 # in seconds, default value 1 second
}

xucami {
  enabled = true
  amiIpAddress = ${xivohost}
  amiPort = 5038
  username = "xuc"
  secret = "xucpass"
}

recording {
  host = recording
  port = 9000
  login = accueil
  password = accueil
}

rights {
  host = ""
  host=${?XIVOCC_RIGHTS_SERVER}
  port = 9002
}

xuc.peers = []
xuc.outboundLength=6

xivo.authPort=9497
xivo.auth.defaultExpires=17200

akka {
  loggers = ["akka.event.slf4j.Slf4jLogger"]
  log-dead-letters-during-shutdown = off
  loglevel = OFF
  actor.debug {
    fsm = off
  }
}

#Principal created in the active directory
secured.krb5.principal="HTTP/jaunis.lan-rennes.avencall.com@LAN-RENNES.AVENCALL.COM"
secured.krb5.debug=true
secured.krb5.password=""
#Path to the keytab for the principal
secured.krb5.keyTab="conf/krb5-jaunis.keytab"
